Skip to main content
Version: 2.3.0

Get list of import documents

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

A function to retrieve the list of document batches imported on the user's system.

  • Request URL: /api/batch-imports
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required, but additional options can be added below to filter or search the list of document batches.
KeyTypeDescription
searchstringSearch information by name of document batch
pageintPage number (default is 1)
pagesizeintPage size (default is 10 records)

Sample request​

Query param:
page: 1
pageSize: 10
search: BATCH IMPORT 001
Request: /api/batch-imports?page=1&pageSize=10&search=BATCH IMPORT 001

Sample response body​

{
"data": {
"items": [
{
"id": 1231,
"createdDate": "2022-12-02T15:04:28.7095771",
"uploadedByUserId": 2320,
"numberOfRecords": 1,
"name": "BATCH IMPORT 001",
"department": {
"id": 29,
"name": "VNPT Information Technology Company",
"code": "VNPT-IT",
"isShared": false
},
"documentType": {
"id": 46,
"code": "CKDS",
"name": "Sales discount",
"description": "Sales discount document",
"documentCount": 0,
"enableVnptSeal": false,
"requireVerifiedUserSigning": false,
"children": []
},
"status": {
"value": 2,
"description": "Completed"
},
"documents": [],
"errors": [],
"importType": {
"value": 1,
"description": "Documents created from templates"
}
}
],
"totalCount": 1,
"pageCount": 1,
"page": 1,
"pageSize": 10,
"hasNextPage": true,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}

Response Parameters​

KeyTypeDescription
dataobjectObject containing pagination information and the returned data list (see below)
successbooleanRequest processing status (true: Success, false: Failed)
codeintResponse status code from the system
messagesArray[string]List of messages returned by the system

Details of the data object:​

KeyTypeDescription
itemsArray[object]List of import batches (see details below)
totalCountintTotal number of matching records
pageCountintTotal number of pages
pageintCurrent page
pageSizeintNumber of records per page
hasNextPagebooleanWhether there is a next page (true: Yes, false: No)
hasPreviousPagebooleanWhether there is a previous page (true: Yes, false: No)

Details of the attributes in items:​

KeyTypeDescription
idintID of the import batch
createdDatestringImport batch creation time (ISO 8601 format)
uploadedByUserIdintID of the user who performed the upload
numberOfRecordsintNumber of records/documents in the batch
namestringName of the import batch
departmentobjectDepartment information (see below)
documentTypeobjectDocument type information (see below)
statusobjectProcessing status of the import batch (2: Completed)
documentsArray[object]Detailed list of documents in the batch
errorsArray[object]List of errors encountered during import, if any
importTypeobjectImport type (1: Documents created from templates)

Details of the department object:​

KeyTypeDescription
idintDepartment ID
namestringDepartment name
codestringDepartment code
isSharedbooleanWhether document access is shared with everyone in the department (true/false)

Details of the documentType object:​

KeyTypeDescription
idintDocument type ID
codestringDocument type code
namestringDocument type name
descriptionstringDocument type description
documentCountintNumber of documents of this type
enableVnptSealbooleanVNPT SEAL message verification (true: Enabled, false: Disabled)
requireVerifiedUserSigningbooleanWhether the signer must have a verified identity (true/false)